Widget zone
Widget zone
GET
https://feed.ocmxr.com/v1/widget/{track_id}
Retrieves the details of a Widget zone that has previously been created if a valid identifier was provided
Info
This endpoint returns HTML content for widget display.
Path parameters
parametersQuery parameters
parametersResponse schemas
•
204
No Content
›
400
application/json
›
500
application/json
curl -X GET \
"https://feed.ocmxr.com/v1/widget/{track_id}" \
-H "Authorization: Bearer {TOKEN}"const url = 'https://feed.ocmxr.com/v1/widget/{track_id}';
const options = {
method: 'GET',
headers: {
Authorization: `Bearer {TOKEN}`
}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://feed.ocmxr.com/v1/widget/{track_id}");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
200 OK
<!DOCTYPE html>
<html lang="en">
<head><title>Widget</title></head>
<body><div id="widget">...</div></body>
</html>
204 No Content
400 Bad Request
500 Internal Server Error
Responses